Skip to content

Manage checks.

Operations

getCheck

POST

Retrieves a check.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/getCheck
POST /nexum/627/2022.01/check/getCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCheckSelectFields

POST

Retrieves a check with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/getCheckSelectFields
POST /nexum/627/2022.01/check/getCheckSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllCheckFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCheckSelectFieldsFilterChildren

POST

Retrieves a check with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/getCheckSelectFieldsFilterChildren
POST /nexum/627/2022.01/check/getCheckSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllCheckFields": true
  },
  "ChildrenSearchFilter": {
    "CheckFmHistoryFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCheckFmHistoryPagedList

POST

Retrieves a paged list of check FM history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedList
POST /nexum/627/2022.01/check/getCheckFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCheckFmHistoryListSelectFields

POST

Retrieves a list of check FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/getCheckFmHistoryListSelectFields
POST /nexum/627/2022.01/check/getCheckFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllCheckFmHistoryFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCheckFmHistorySelectFields

POST

Searches check FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/searchCheckFmHistorySelectFields
POST /nexum/627/2022.01/check/searchCheckFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "SelectableFields": {
    "IncludeAllCheckFmHistoryFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCheckFmHistoryPagedListSelectFields

POST

Retrieves a paged list of check FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/check/getCheckFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/check/getCheckFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "SelectableFields": {
    "IncludeAllCheckFmHistoryFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCheckFmHistoryPagedSelectFields

POST

Searches check FM history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/check/searchCheckFmHistoryPagedSelectFields
POST /nexum/627/2022.01/check/searchCheckFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "SelectableFields": {
    "IncludeAllCheckFmHistoryFields": true
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCheckByID

POST

Updates a check by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/updateCheckByID
POST /nexum/627/2022.01/check/updateCheckByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "CheckUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCheck

POST

Creates a new check.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/check/createCheck
POST /nexum/627/2022.01/check/createCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckCreatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCheck

POST

Deletes a check.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CheckGlobalSequenceDatestring · dateoptional
CheckGlobalSequenceintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/check/deleteCheck
POST /nexum/627/2022.01/check/deleteCheck HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CheckGlobalSequenceDate": "2026-01-01",
  "CheckGlobalSequence": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}